Bug 151441 - RFE: different icons per bugzilla
RFE: different icons per bugzilla
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eclipse-bugzilla (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Pound
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-17 18:46 EST by Dave Malcolm
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-19 13:37:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2005-03-17 18:46:22 EST
Perhaps allow different icons per bugzilla database, so that e.g. GNOME bugzilla
has the GNOME logo, KDE bugzilla has KDE logo; etc.

(not sure about this one)
Comment 1 Jeff Pound 2005-05-03 16:14:28 EDT
I think this is a cool idea. My first thought would be to check for a "<link
rel="icon" href="some/url/to/image">" in the bugzilla page (this is the image
displayed next to the url in a browser for example). If a bugzilla db page
doesnt have an icon, the default bugzilla one used now could be used. Many sites
use *.ico as icons though, im not sure if java/swt has support for that format.

An alternative would be to package icons for all the popular bugzilla dbs.


comments?
Comment 2 Jeff Pound 2005-05-19 13:37:51 EDT
My proposal from comment 1 has been integrated into -16. The plug-in will also
search for a default icon if one is specified. If no icon exists it will default
to the bugzilla icon currently being used.
Comment 3 Jeff Pound 2005-05-19 13:41:10 EDT
comment 2 should read "The plug-in will also search for a default icon if one is
NOT specified."

Note You need to log in before you can comment on or make changes to this bug.